Get a Contact by Reference ID
curl --request GET \
--url https://api.virtuoussoftware.com/api/Contact/ByReference/{referenceId} \
--header 'Authorization: Bearer <token>'{
"id": "<integer>",
"contactType": "<string>",
"isPrivate": "<boolean>",
"name": "<string>",
"informalName": "<string>",
"description": "<string>",
"website": "<string>",
"maritalStatus": "<string>",
"anniversaryMonth": "<integer>",
"anniversaryDay": "<integer>",
"anniversaryYear": "<integer>",
"giftAskAmount": "<string>",
"giftAskType": "<string>",
"lifeToDateGiving": "<string>",
"yearToDateGiving": "<string>",
"lastGiftAmount": "<string>",
"lastGiftDate": "<string>",
"contactIndividuals": [
{
"id": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
]
},
{
"id": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
]
}
],
"address": {
"id": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"isPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
}How to Get Contacts
Get a Contact by Reference ID
HMAC Auth only.
GET
/
api
/
Contact
/
ByReference
/
{referenceId}
Get a Contact by Reference ID
curl --request GET \
--url https://api.virtuoussoftware.com/api/Contact/ByReference/{referenceId} \
--header 'Authorization: Bearer <token>'{
"id": "<integer>",
"contactType": "<string>",
"isPrivate": "<boolean>",
"name": "<string>",
"informalName": "<string>",
"description": "<string>",
"website": "<string>",
"maritalStatus": "<string>",
"anniversaryMonth": "<integer>",
"anniversaryDay": "<integer>",
"anniversaryYear": "<integer>",
"giftAskAmount": "<string>",
"giftAskType": "<string>",
"lifeToDateGiving": "<string>",
"yearToDateGiving": "<string>",
"lastGiftAmount": "<string>",
"lastGiftDate": "<string>",
"contactIndividuals": [
{
"id": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
]
},
{
"id": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"isSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>"
}
]
}
],
"address": {
"id": "<integer>",
"label": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal": "<string>",
"country": "<string>",
"isPrimary": "<boolean>",
"startMonth": "<integer>",
"startDay": "<integer>",
"endMonth": "<integer>",
"endDay": "<integer>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The reference identifier.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on April 24, 2026
Was this page helpful?
⌘I